Public Class USU_CapacitacionesBusinessObject
    Inherits BusinessObject(Of USU_Capacitaciones)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New USU_CapacitacionesDbHelper
    End Sub

    Public Sub New(ByVal entity As USU_Capacitaciones)
        MyBase.New(entity)
        DbHelper = New USU_CapacitacionesDbHelper
    End Sub

    Public Sub New(ByVal idCapacitacion As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idCapacitacion = idCapacitacion
        Dim Entity_Aux As USU_Capacitaciones = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As USU_CapacitacionesBusinessObject
    Protected Shared Function GetDdHelperInstance() As USU_CapacitacionesDbHelper
        If _Instance Is Nothing Then
            _Instance = New USU_CapacitacionesBusinessObject
        End If
    Return CType(_Instance.DbHelper, USU_CapacitacionesDbHelper)
    End Function

    Public Shared Function GetListUSU_Capacitaciones(Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Capacitaciones)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListUSU_CapacitacionesBySEG_Usuarios(ByVal idUsuario as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Capacitaciones)
        Return GetDdHelperInstance.GetListUSU_CapacitacionesBySEG_Usuarios(idUsuario, foreignLevel)
    End Function

#End Region
End Class
